# add fstab entries
#cat >> $MOUNTDIR/etc/fstab << _EOF
#/dev/mmcblk0p1	/mnt/sd0	auto	defaults,noauto	0	0
#_EOF
#mkdir $MOUNTDIR/mnt/{ndda1,ndda2,sd0,sda1,sda2}

# disable nfs
#chroot $MOUNTDIR chkconfig --del nfslock
#chroot $MOUNTDIR chkconfig --del portmap
#chroot $MOUNTDIR chkconfig --del ts-calibrate

## disable random
#chroot $MOUNTDIR chkconfig --del random

## enable ftp server
#sed -i "s|\(.*disable[[:space:]]*= \)yes|\1no|" $MOUNTDIR/etc/xinetd.d/vsftpd
#sed -i "s|#local_enable|local_enable|" $NOUNTDIR/etc/vsftpd.conf
#sed -i "s|#write_enable|write_enable|" $NOUNTDIR/etc/vsftpd.conf
#sed -i "/root/d" $MOUNTDIR/etc/vsftpd/user_list
#sed -i "/root/d" $MOUNTDIR/etc/vsftpd/chroot-list

## remove alsa configuration for now
#rm $MOUNTDIR/etc/asound.conf

# remove some services
#rm -f $MOUNTDIR/etc/rc?.d/???{iptables,acpid}

## generate RPM scripts first time execution
#make_rpm_first_time_script "\
#chkconfig --del acpid
#chkconfig --del alsa
#chkconfig --del iptables
#chkconfig --del nfslock
#chkconfig --del portmap
#"

# configure touchscreen
cat > $MOUNTDIR/etc/ts-calibrate.conf << _EOF
TSLIB_CONFFILE=/etc/ts.conf
TSLIB_CONSOLEDEVICE=none
TSLIB_FBDEVICE=/dev/fb0
TSLIB_TSDEVICE=/dev/input/event0
TSLIB_CALIBFILE=/etc/pointercal
HOME=/root
_EOF

# configure favorites in kde menu
for f in /usr/share/applications/chromium.desktop /opt/kde/share/applications/kaffeine.desktop; do
   chroot $MOUNTDIR /opt/kde/bin/kickoffcfg --add-favorite $f
done

# remove some documentation to save space
for f in ChangeLog Changelog CHANGES TODO NEWS README README.txt; do
   find $MOUNTDIR/usr/share/doc -name $f -exec rm -f {} \;
done

# disable filesystem autocheck due to a kernel bug in hannspad (blkid generated kernel crash)
if [ "$ARCH" = "arm" ]; then
   sed -i "s|FS_PARTS_UPDATE=yes|FS_PARTS_UPDATE=no|" $MOUNTDIR/etc/sysconfig/postplug
   sed -i "s|FS_SWAP_UPDATE=yes|FS_SWAP_UPDATE=no|" $MOUNTDIR/etc/sysconfig/postplug
fi

# FIXME: this should be done by postplug only when touchscreen is detected
mkdir -p $MOUNTDIR/home/liveuser/.icons/default
cat > $MOUNTDIR/home/liveuser/.icons/default/index.theme << _EOF
[Icon Theme]
Inherits=xcursor-transparent
_EOF

# configure default liveuser password
echo "openmamba" | chroot $MOUNTDIR passwd liveuser --stdin

prelink
